Bug 1506805 - (network-online.target) Use network-online.target instead of network.target
Summary: (network-online.target) Use network-online.target instead of network.target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: proftpd
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: network-online.target
TreeView+ depends on / blocked
 
Reported: 2017-10-26 19:43 UTC by Philip Prindeville
Modified: 2017-11-07 22:17 UTC (History)
4 users (show)

Fixed In Version: proftpd-1.3.6-8.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 22:17:56 UTC


Attachments (Terms of Use)

Description Philip Prindeville 2017-10-26 19:43:36 UTC
Description of problem:

If your network is slow coming up (say you're using DHCP and the server is unavailable or rebooting after a power outage, etc) then this service might come up before the network is sufficiently configured.

Recommend adding

[Unit]
Wants=network-online.target
After=network-online.target

to .service file.

Version-Release number of selected component (if applicable):

proftpd-1.3.6-1.fc26.x86_64

How reproducible:

Bring up host while DHCP server is down.

Steps to Reproduce:
1. Provision host to use DHCP
2. Shutdown DHCP server
3. Reboot host under test

Actual results:

Service requires host's IP address and hostname to properly operate

Expected results:

Service should not be started until network is adequately configured.

Additional info:

Comment 1 Paul Howarth 2017-10-27 13:42:18 UTC
PR submitted upstream:
https://github.com/proftpd/proftpd/pull/617

Comment 2 Fedora Update System 2017-10-30 17:06:51 UTC
proftpd-1.3.6-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5bcb708418

Comment 3 Fedora Update System 2017-11-07 22:17:56 UTC
proftpd-1.3.6-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.